## mauikit 4.0.2

=== debian/changelog ===
mauikit (4.0.2-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 May 2025 06:44:50 +0000

mauikit (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 29 May 2025 10:10:24 +0000

mauikit (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 10:08:14 +0000

mauikit (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 May 2023 10:08:06 +0000

mauikit (3.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 10:08:20 +0000

mauikit (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 10:08:07 +0000

mauikit (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 May 2023 10:08:06 +0000

mauikit (2.2.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 03 Mar 2023 10:08:09 +0000

mauikit (2.2.1-0neon) jammy; urgency=medium

  [ Jonah Brüchert ]
  * New snapshot

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Fri, 24 Feb 2023 10:08:08 +0000

mauikit (0+git20180904-1) unstable; urgency=medium

  * Initial release

 -- Jonah Brüchert <jbb@kaidan.im>  Tue, 04 Sep 2018 19:57:31 +0200

## mauikit 4.0.2+p24.04+vstable+git20250905.1603

=== debian/changelog ===
mauikit (4.0.2+p24.04+vstable+git20250905.1603-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 05 Sep 2025 16:03:40 +0000

## mauikit 4.0.2+p24.04+vstable+git20250914.1730

=== debian/changelog ===
mauikit (4.0.2+p24.04+vstable+git20250914.1730-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 17:30:06 +0000

## mauikit 4.0.2+p24.04+vstable+git20251015.1732

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Camilo Higuita <milo.h@aol.com>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

set(QT_MAJOR_VERSION 6)
set(REQUIRED_QT_VERSION 6.4)

set(KF_MAJOR_VERSION 6)
set(REQUIRED_KF_VERSION 5.240.0)

set(MAUI_MAJOR_VERSION 4)
set(MAUIKIT_VERSION 4.0.3)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(MAUIKIT_URI org.mauikit.controls)

set(AUTOMOC_MOC_OPTIONS -Muri=${MAUIKIT_URI})

project(mauikit VERSION ${MAUIKIT_VERSION})

################# Disallow in-source build #################

# if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
#    message(FATAL_ERROR "MauiKit requires an out of source build. Please create a separate build directory and run 'cmake path_to_mauikit [options]' there.")
# endif()

if(ANDROID)
    set(ANDROID_PACKAGE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/src/platforms/android)
    set(ANDROID_ABIS "armeabi-v7a")
endif()

find_package(ECM ${REQUIRED_KF_VERSION} NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

#DEFAULT COMPONENTS DEFINITIONS
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMFindQmlModule)
include(ECMQmlModule)
include(ECMSourceVersionControl)

include(KDEClangFormat)
include(KDEInstallDirs)
include(KDECMakeSettings)

option(BUILD_DEMO "Build the MauiKit Demo application." OFF)
option(BUNDLE_LUV_ICONS "Ship Luv icon bundled." OFF)

if(ANDROID OR WIN32 OR APPLE)
    set(BUNDLE_LUV_ICONS ON)
endif()

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS
    Core
    Concurrent
    Multimedia
    Qml
    Quick
    QuickControls2
    Svg
    Widgets)

find_package(KF${KF_MAJOR_VERSION} ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS
    I18n
    CoreAddons
    Notifications)

find_package(MauiMan${MAUI_MAJOR_VERSION} ${MAUIKIT_VERSION} REQUIRED)
set_package_properties(MauiMan${MAUI_MAJOR_VERSION} PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "MauiMan is a server and API for syncing global system setting preferences."
    URL "https://invent.kde.org/maui/mauiman"
    PURPOSE "Synced system setting preferences.")

#    find_package(OpenMP)
#set_package_properties(OpenMP
#    PROPERTIES DESCRIPTION "Multi-platform shared-memory parallel programming in C/C++ and Fortran"
#    TYPE OPTIONAL
#    PURPOSE "Accelerates palette generation in Kirigami.ImageColors"
#)
#if(OpenMP_CXX_FOUND)
#    set(HAVE_OpenMP TRUE)
#    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
#endif()

#include_directories("${CMAKE_CURRENT_BINARY_DIR}")
#configure_file(config-OpenMP.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-OpenMP.h)

ecm_find_qmlmodule(QtQuick.Shapes 1.0)

#if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
#    # link time optimization has been observed to break colors. Force-disable it.
#    # Before undoing this make double sure the lockscreen
#    # and logout screen are correctly colored in light/dark mode!
#    add_compile_options("-fno-lto")
#endif()

if(ANDROID)
    find_package(Gradle REQUIRED)
elseif(UNIX AND NOT ANDROID)
    if(NOT APPLE)
        find_package(KF${KF_MAJOR_VERSION} REQUIRED COMPONENTS WindowSystem)

        find_package(XCB 1.10 REQUIRED COMPONENTS
            ICCCM
            SHAPE
            XCB)
        set_package_properties(XCB PROPERTIES TYPE REQUIRED)
    endif()
endif()

if(${ECM_SOURCE_UNDER_VERSION_CONTROL})
    execute_process(
        COMMAND git rev-parse --abbrev-ref HEAD
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_BRANCH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    # Get the latest abbreviated commit hash of the working branch
    execute_process(
        COMMAND git log -1 --format=%h
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_HASH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_definitions(-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
    add_definitions(-DGIT_BRANCH="${GIT_BRANCH}")
else()
    add_definitions(-DGIT_COMMIT_HASH="${PROJECT_VERSION}")
    add_definitions(-DGIT_BRANCH="Stable")
endif()

if (QT_KNOWN_POLICY_QTP0004)
    qt_policy(SET QTP0004 NEW)
endif()

##CMAKE PARTS
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/MauiKit${MAUI_MAJOR_VERSION}")

ecm_setup_version(${MAUIKIT_VERSION}
    VARIABLE_PREFIX MAUIKIT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mauikit_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/MauiKit${MAUI_MAJOR_VERSION}ConfigVersion.cmake"
    SOVERSION ${PROJECT_VERSION_MAJOR})

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/MauiKitConfig.cmake.in.${QT_MAJOR_VERSION}"
    "${CMAKE_CURRENT_BINARY_DIR}/MauiKit${MAUI_MAJOR_VERSION}Config.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/MauiKit${MAUI_MAJOR_VERSION}Config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/MauiKit${MAUI_MAJOR_VERSION}ConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel)

install(EXPORT MauiKit${MAUI_MAJOR_VERSION}Targets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE MauiKit${MAUI_MAJOR_VERSION}Targets.cmake)

##Translations stuff with KI18n
add_definitions(-DTRANSLATION_DOMAIN="mauikit")
ki18n_install(po)

add_compile_definitions(QT_DISABLE_DEPRECATED_UP_TO=0x050F00)

add_subdirectory(src)

if(BUILD_DEMO AND NOT ANDROID)
    add_subdirectory(demo.6)
endif()

##Clang formatting
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
mauikit (4.0.2+p24.04+vstable+git20251015.1732-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:32:31 +0000

=== debian/control ===
Source: mauikit
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-purpose-dev,
               kf6-solid-dev,
               kf6-syntax-highlighting-dev,
               libxcb-icccm4-dev,
               libxcb-shape0-dev,
               mauiman-dev,
               ninja-build,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev,
               qt6-svg-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://maui-project.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mauikit.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mauikit
Maintainer: Neon CI <neon@kde.org>

Package: libmauikit
Architecture: any
Depends: mauiman,
         qml6-module-org-maui-mauikit (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Kit for developing MAUI Apps.
 A set of templated controls and tools based off QQC2 and Kirigami
 shared among the Maui set of applications
 .
 Maui Kit helps to quickly build UIs that follow the Maui HIG
 and bring ready to go tools for different platforms,
 such as Android and Linux
 .
 This package contains the mauikit shared library

Package: mauikit-dev
Architecture: any
Depends: libmauikit (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Kit for developing MAUI Apps.
 A set of templated controls and tools based off QQC2 and Kirigami
 shared among the Maui set of applications
 .
 Maui Kit helps to quickly build UIs that follow the Maui HIG
 and bring ready to go tools for different platforms,
 such as Android and Linux
 .
 This package contains mauikit development files

Package: qml6-module-org-maui-mauikit
Architecture: any
Depends: libmauikit (= ${binary:Version}),
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-purpose,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         qml6-module-qtwebengine,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-kde-mauikit (<< 4.0.0)
Replaces: qml-module-org-kde-mauikit (<< 4.0.0)
Description: Kit for developing MAUI Apps.
 A set of templated controls and tools based off QQC2 and Kirigami
 shared among the Maui set of applications
 .
 Maui Kit helps to quickly build UIs that follow the Maui HIG
 and bring ready to go tools for different platforms,
 such as Android and Linux
 .
 This package contains the mauikit qml module

Package: qml-module-org-maui-mauikit
Architecture: all
Depends: qml6-module-org-maui-mauikit, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt6

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_WITH_QT6=ON \
	-DBUILD_DEMO=ON \
	-DBUNDLE_LUV_ICONS=ON

## mauikit 4.0.2+p24.04+vstable+git20251019.0617

=== demo.6/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(MauiDemo VERSION ${MAUIKIT_VERSION} LANGUAGES CXX)
add_compile_definitions(APP_COPYRIGHT_NOTICE="© 2023-2024 Maui Development Team")

#find_package(MauiKit REQUIRED)
find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS
    Core
    Qml
    Quick)

find_package(KF${KF_MAJOR_VERSION} REQUIRED COMPONENTS
    I18n
    CoreAddons)

include(KDEInstallDirs)
include(ECMSourceVersionControl)

if(${ECM_SOURCE_UNDER_VERSION_CONTROL})
    execute_process(
        COMMAND git rev-parse --abbrev-ref HEAD
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_BRANCH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    # Get the latest abbreviated commit hash of the working branch
    execute_process(
        COMMAND git log -1 --format=%h
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_HASH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_definitions(-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
    add_definitions(-DGIT_BRANCH="${GIT_BRANCH}")

else()
    add_definitions(-DGIT_COMMIT_HASH="${SHELF_VERSION}")
    add_definitions(-DGIT_BRANCH="Stable")
endif()

add_subdirectory(src)

#TODO: port to ecm_install_icons()
install(FILES src/assets/mauidemo.svg DESTINATION ${KDE_INSTALL_ICONDIR}/hicolor/scalable/apps)
install(FILES src/org.kde.mauidemo.desktop DESTINATION ${KDE_INSTALL_APPDIR})

# install(FILES org.kde.index.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
mauikit (4.0.2+p24.04+vstable+git20251019.0617-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:18:03 +0000

## mauikit 4.0.2+p24.04+vstable+git20251110.0121

=== debian/changelog ===
mauikit (4.0.2+p24.04+vstable+git20251110.0121-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 10 Nov 2025 01:21:41 +0000

## mauikit 4.0.2+p24.04+vstable+git20251123.1610

=== debian/changelog ===
mauikit (4.0.2+p24.04+vstable+git20251123.1610-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 16:10:16 +0000
